CY
API & MCPDogfennaeth

Platfform Asiantau ac API Mariner GPS Tools

Cyfrifo cyfeiriant gwir cychwynnol

Cyfrifo'r cyfeiriant gwir cychwynnol o un safle i un arall.

Rhyngwynebau

POST
Pwynt diwedd REST/api/v1/bearing
MCP
Enw offeryncalculate_bearing

Cais

Anfonwch y cais fel JSON. Mae cleientiaid MCP yn pasio'r un meysydd ag argumentau'r offeryn.

cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}'
Corff y caisjson
{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}

Ymateb

Mae REST yn amgáu canlyniad y cyfrifiad yn yr amlen lwyddiant safonol. Mae MCP yn dychwelyd yr un data cyfrifo fel allbwn offeryn strwythuredig.

JSON
{
  "ok": true,
  "data": {
    "degrees": 112.54786806700503,
    "compass": "ESE"
  }
}

Sgemâu

Mae'r diffiniadau isod yn dangos y JSON Schema cyflawn a ddefnyddir i ddilysu mewnbynnau a disgrifio allbynnau.

Cynllun mewnbwn

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "from": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    },
    "to": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    }
  },
  "required": [
    "from",
    "to"
  ]
}

Cynllun allbwn

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "degrees": {
      "type": "number"
    },
    "compass": {
      "type": "string"
    }
  },
  "required": [
    "degrees",
    "compass"
  ]
}

Canlyniadau meincnod MCP

Mesurwyd ar gyfer yr offeryn hwn gyda gweinydd MCP Mariner GPS Tools wedi'i gysylltu a hebddo.

92%yn llai o docynnau model a gynhyrchwydCanolrif yr offeryn hwn ar draws 8 o 9 model â digon o ganlyniadau llinell sylfaen cywir i'w cymharu.
5.2×yn gyflymach mewn meincnodauCanolrif yr offeryn hwn ar draws 8 o 9 model â digon o ganlyniadau llinell sylfaen cywir i'w cymharu.
100%yn gywir gydag MCP, o'i gymharu â 93.5% heb offer108/108 o arsylwadau MCP ar gyfer yr offeryn hwn o fewn y goddefiant.

Mesurwyd Medi 2026 · 9 model · 4 achos llywio · 3 ailadroddiad · 216 o arsylwadau · MCP cynhyrchu

Dogfennaeth API & MCP